package org.xyzh.common.dto.study;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description 课程标签关联表
 * @filename TbCourseTag.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbCourseTag extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 课程ID
     */
    private String courseID;
    
    /**
     * @description 标签ID
     */
    private String tagID;
    
    /**
     * @description 创建者
     */
    private String creator;

    public String getCourseID() {
        return courseID;
    }

    public void setCourseID(String courseID) {
        this.courseID = courseID;
    }

    public String getTagID() {
        return tagID;
    }

    public void setTagID(String tagID) {
        this.tagID = tagID;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Override
    public String toString() {
        return "TbCourseTag{" +
                "id=" + getID() +
                ", courseID='" + courseID + '\'' +
                ", tagID='" + tagID + '\'' +
                ", createTime=" + getCreateTime() +
                '}';
    }
}

